@import './base.css';
@import './theme-blue.css';
@import './theme-green.css';
@import './theme-orange.css';
@import './tone-default.css';
@import './tone-dark.css';
@import './tone-lite.css';

:root {
	--c-top-header-bg: #000;
	--c-top-header-fg: #fff;

	--c-background: var(--vt-c-white);
	--c-background-soft: var(--vt-c-white-soft);
	--c-background-mute: var(--vt-c-white-mute);
	--c-border: var(--vt-c-divider-light-2);
	--c-border-hover: var(--vt-c-divider-light-1);
	--c-heading: var(--vt-c-text-light-1);
	--c-text: var(--vt-c-text-light-2);
	--c-hilite-text: var(--vt-c-text-light-3);

	/* more colors here... */
}

*,
*::before,
*::after {
	box-sizing: border-box;
	margin: 0;
	font-weight: normal;
}

/* ---------------------------------------------------------------------- */

h1 {
	font-size: 2.25rem;
	line-height: 2.5rem;
}

h2 {
	font-size: 1.5rem;
	line-height: 2rem;
}

h3 {
	font-size: 1.25rem;
	line-height: 1.75rem;
}

h4 {
	font-size: 1rem;
	line-height: 1.5rem;
}

h5 {
	font-size: 0.875rem;
	line-height: 1.25rem;
}

h6 {
	font-size: 0.75rem;
	line-height: 1rem;
}

a.link {
	color: var(--c-link);
	cursor: pointer;
}

a.link:visited {
	color: var(--c-link-visited);
}

a.link:active {
	color: var(--c-link-active);
}

ol.none,
ul.none {
	list-style: none;
	margin: 0;
	padding: 0;
}

ol.none>li,
ul.none>li {
	display: block;
}

ol.none>li img,
ul.none>li img {
	vertical-align: middle;
	width: 1rem;
	height: 1rem;
	margin-right: 0.25rem;
}

button.normal {
	display: inline-flex;
	align-items: center;
	padding: 0.25rem 0.5rem;
	cursor: pointer;
}

button.normal>i {
	width: 1.5rem;
	height: 1.5rem;
	margin-right: 0.25rem;
}

/* ---------------------------------------------------------------------- */

.testset {
	border-radius: 1rem;
	border: 2px solid var(--c-top-header-bg);
	margin: 0 0 1.5rem;
}

.testset>h1 {
	border-radius: 0.5rem;
	padding: 0.75rem 1rem;
	font-size: 1.5rem;
	line-height: 2rem;
	background: var(--c-top-header-bg);
	color: #fff;
}

.testset>article {
	padding: 1rem 1rem;
}

.testset>article.flexbox {
	display: flex;
	align-items: flex-start;
	gap: 0.5rem;
}